#ifndef _MD5_H_
#define _MD5_H_

#include   "stdint.h"
#include   <stdio.h>  
#include   <stdlib.h> 
#include   <string.h>  

void   MD5Digest(char   *pszInput,   unsigned   int   nInputSize,   char   *pszOutPut);  
void   MD5Digest_SRAM(uint32_t add,   unsigned   int   nInputSize,   char   *pszOutPut);
void   MD5Digest_FLASH(uint32_t add,   unsigned   int   nInputSize,   char   *pszOutPut);

#endif
